Ubuntu

8086:4238 [Lenovo ThinkPad X201] iwlwifi drops connection when using 802.11n

Reported by Alexander List on 2012-08-09
158
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
Fedora
Unknown
Unknown
linux (Debian)
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Symptoms: After a few minutes, the WiFi connection to my home router first becomes slow (packet loss), then entirely unusable. NetWork manager still shows the connection as up and working.

dmesg shows messages like these:
Aug 9 06:17:16 thinkpad kernel: [ 5026.531127] iwlwifi 0000:02:00.0: Tx aggrega
tion enabled on ra = b0:48:7a:d6:91:50 tid = 6

WORKAROUND: rfkill to disable and enable WiFi, or add:
options iwlwifi 11n_disable=1

to /etc/modprobe.d/iwlwifi.conf

However, this means that all my network connections will only run in 802.11a/g mode, which is undesirably slow. Other people using MacOS in my place don't observe any issues, so I can rule out the router(s) as the culprits.
Hardware: 02:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
Routers: TP-Link WR1043ND, WR2543ND using OpenWRT trunk.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-27-generic 3.2.0-27.43
ProcVersionSignature: Ubuntu 3.2.0-27.43-generic 3.2.21
Uname: Linux 3.2.0-27-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu12
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC29: alex 2261 F.... xfce4-volumed
 /dev/snd/controlC0: alex 2250 F.... pulseaudio
                      alex 2261 F.... xfce4-volumed
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf2520000 irq 44'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:14f15069,17aa2155,00100302 HDA:80862804,17aa21b5,00100000'
   Controls : 14
   Simple ctrls : 6
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 6QHT33WW-1.14'
   Mixer name : 'ThinkPad EC 6QHT33WW-1.14'
   Components : ''
   Controls : 1
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Thu Aug 9 12:24:19 2012
HibernationDevice: RESUME=UUID=9fee4cfb-53b9-43d7-8425-1666aff145c4
InstallationMedia: Xubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: LENOVO 3626A14
ProcEnviron:
 LANGUAGE=en_US:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-27-generic root=/dev/mapper/hostname-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-27-generic N/A
 linux-backports-modules-3.2.0-27-generic N/A
 linux-firmware 1.79
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/26/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: 6QET69WW (1.39 )
dmi.board.name: 3626A14
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6QET69WW(1.39):bd04/26/2012:svnLENOVO:pn3626A14:pvrThinkPadX201:rvnLENOVO:rn3626A14:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 3626A14
dmi.product.version: ThinkPad X201
dmi.sys.vendor: LENOVO

Alexander List (alexlist) wrote :
Brad Figg (brad-figg) on 2012-08-09
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.5kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc1-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Alexander List (alexlist) wrote :

Hi,

thanks for the hint. This works *way* better, and so far (30min) it seems stable. Let's leave the bug open for a few more days so I can stress test it a little more.

This feels like real 802.11n speed ...

alex@thinkpad:/tmp$ iperf -c 192.168.95.251
------------------------------------------------------------
Client connecting to 192.168.95.251, TCP port 5001
TCP window size: 22.9 KByte (default)
------------------------------------------------------------
[ 3] local 192.168.95.106 port 42671 connected with 192.168.95.251 port 5001
[ ID] Interval Transfer Bandwidth
[ 3] 0.0-10.0 sec 65.2 MBytes 54.6 Mbits/sec

alex@thinkpad:/tmp$ uname -a
Linux thinkpad 3.5.1-030501-generic #201208091310 SMP Thu Aug 9 17:11:48 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
alex@thinkpad:/tmp$ dpkg --get-selections |grep 3.5.1
linux-headers-3.5.1-030501 install
linux-headers-3.5.1-030501-generic install
linux-image-3.5.1-030501-generic install
linux-image-extra-3.5.1-030501-generic install

Alexander List (alexlist) wrote :
Download full text (24.1 KiB)

It is definitely more stable than before.

However, when I go to a different room (around 8m away, open doors, no walls in between), the signal quality drops significantly and that seems to cause some issues for the driver. PM suspend and RFKILL work without issues.

Aug 14 10:25:28 thinkpad kernel: [ 1339.566330] iwlwifi 0000:02:00.0: Queue 2 stuck for 2000 ms.
Aug 14 10:25:28 thinkpad kernel: [ 1339.566337] iwlwifi 0000:02:00.0: Current SW read_ptr 227 write_ptr 233
Aug 14 10:25:28 thinkpad kernel: [ 1339.566391] iwlwifi 0000:02:00.0: Current HW read_ptr 227 write_ptr 233
Aug 14 10:25:28 thinkpad kernel: [ 1339.566395] iwlwifi 0000:02:00.0: Loaded firmware version: 9.221.4.1 build 25532
Aug 14 10:25:28 thinkpad kernel: [ 1339.566547] iwlwifi 0000:02:00.0: 0x00000000 | OK
Aug 14 10:25:28 thinkpad kernel: [ 1339.566550] iwlwifi 0000:02:00.0: 0x00000000 | uPc
Aug 14 10:25:28 thinkpad kernel: [ 1339.566553] iwlwifi 0000:02:00.0: 0x00000000 | branchlink1
Aug 14 10:25:28 thinkpad kernel: [ 1339.566555] iwlwifi 0000:02:00.0: 0x00000000 | branchlink2
Aug 14 10:25:28 thinkpad kernel: [ 1339.566558] iwlwifi 0000:02:00.0: 0x00000000 | interruptlink1
Aug 14 10:25:28 thinkpad kernel: [ 1339.566560] iwlwifi 0000:02:00.0: 0x00000000 | interruptlink2
Aug 14 10:25:28 thinkpad kernel: [ 1339.566563] iwlwifi 0000:02:00.0: 0x00000000 | data1
Aug 14 10:25:28 thinkpad kernel: [ 1339.566565] iwlwifi 0000:02:00.0: 0x00000000 | data2
Aug 14 10:25:28 thinkpad kernel: [ 1339.566568] iwlwifi 0000:02:00.0: 0x00000000 | line
Aug 14 10:25:28 thinkpad kernel: [ 1339.566571] iwlwifi 0000:02:00.0: 0x00000000 | beacon time
Aug 14 10:25:28 thinkpad kernel: [ 1339.566573] iwlwifi 0000:02:00.0: 0x00000000 | tsf low
Aug 14 10:25:28 thinkpad kernel: [ 1339.566576] iwlwifi 0000:02:00.0: 0x00000000 | tsf hi
Aug 14 10:25:28 thinkpad kernel: [ 1339.566578] iwlwifi 0000:02:00.0: 0x00000000 | time gp1
Aug 14 10:25:28 thinkpad kernel: [ 1339.566581] iwlwifi 0000:02:00.0: 0x00000000 | time gp2
Aug 14 10:25:28 thinkpad kernel: [ 1339.566583] iwlwifi 0000:02:00.0: 0x00000000 | time gp3
Aug 14 10:25:28 thinkpad kernel: [ 1339.566586] iwlwifi 0000:02:00.0: 0x00000000 | uCode version
Aug 14 10:25:28 thinkpad kernel: [ 1339.566588] iwlwifi 0000:02:00.0: 0x00000000 | hw version
Aug 14 10:25:28 thinkpad kernel: [ 1339.566591] iwlwifi 0000:02:00.0: 0x00000000 | board version
Aug 14 10:25:28 thinkpad kernel: [ 1339.566593] iwlwifi 0000:02:00.0: 0x00000000 | hcmd
Aug 14 10:25:28 thinkpad kernel: [ 1339.566596] iwlwifi 0000:02:00.0: 0x00000000 | isr0
Aug 14 10:25:28 thinkpad kernel: [ 1339.566599] iwlwifi 0000:02:00.0: 0x00000000 | isr1
Aug 14 10:25:28 thinkpad kernel: [ 1339.566601] iwlwifi 0000:02:00.0: 0x00000000 | isr2
Aug 14 10:25:28 thinkpad kernel: [ 1339.566604] iwlwifi 0000:02:00.0: 0x00000000 | isr3
Aug 14 10:25:28 thinkpad kernel: [ 1339.566606] iwlwifi 0000:02:00.0: 0x00000000 | isr4
Aug 14 10:25:28 thinkpad kernel: [ 1339.566609] iwlwifi 0000:02:00.0: 0x00000000 | isr_pref
Aug 14 10:25:28 thinkpad kernel: [ 1339.566611] iwlwifi 0000:02:00.0: 0x00000000 | wait_event
Aug 14 10:25:28 thinkpad kernel: [ 1339.566614] iwlwifi 0000:02:00.0: 0x00000000 | l2p_control
A...

Alexander List (alexlist) wrote :

If you look into https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1034740/comments/6 above, look for

Aug 14 10:28:24 thinkpad kernel: [ 1511.378867] iwlwifi 0000:02:00.0: Command REPLY_TX_LINK_QUALITY_CMD failed: FW Error
Aug 14 10:28:25 thinkpad kernel: [ 1512.382271] iwlwifi 0000:02:00.0: fail to flush all tx fifo queues
Aug 14 10:28:25 thinkpad kernel: [ 1512.382335] iwlwifi 0000:02:00.0: Command SENSITIVITY_CMD failed: FW Error
Aug 14 10:28:25 thinkpad kernel: [ 1512.382343] iwlwifi 0000:02:00.0: Command SENSITIVITY_CMD failed: FW Error

This seems like a FW bug. The forum post mentioned in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1034740/comments/6

hints at these two references:
https://bbs.archlinux.org/viewtopic.php?id=125486
http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2314

Are you going to handle this with Intel?

TIA

Alex

Changed in linux:
importance: Unknown → High
status: Unknown → Confirmed
Steve Magoun (smagoun) on 2012-09-11
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Alexander List (alexlist) wrote :

Any chance this will be fixed in Raring and backported to precise?

Alexander List (alexlist) wrote :

There seems to be some correlation with noisy environments, i.e. lots of neighbour networks on the same or adjacent channel. The situation improves dramatically when changing to a different channel with fewer networks.

However, as mentioned above, other devices like Android phones or Macboocs don't exhibit this problem, so it must be driver related isn't caused by the AP only.

Alexander List (alexlist) wrote :

Looks like this is a similar problem, eventually merge?

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1042684

Alexander List (alexlist) wrote :

Just tested the latest Raring rc kernel - unfortunately, the problem still exists. dmesg attached.

Alexander List (alexlist) wrote :

Still visible using

Linux thinkpad 3.8.0-030800rc6-generic #201301312135 SMP Fri Feb 1 02:36:25 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Alexander List (alexlist) wrote :

Still visible using

Linux thinkpad 3.8.0-030800rc6-generic #201301312135 SMP Fri Feb 1 02:36:25 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

2xyo (2xyo) on 2013-04-06
tags: added: raring
Jack Leigh (leighman) wrote :

Looks unrelated to dupe.
Still an issue here

description: updated
summary: - iwlwifi drops connection when using 802.11n
+ 8086:4238] iwlwifi drops connection when using 802.11n
summary: - 8086:4238] iwlwifi drops connection when using 802.11n
+ 8086:4238 iwlwifi drops connection when using 802.11n

Still have this issues of latest kernel (Linux saks-XPS 3.8.0-32-generic #47-Ubuntu SMP Tue Oct 1 22:35:23 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux)

Alexander List, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, please just make a comment to this.

If reproducible, could you also please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdated-1.40 needs-wifi-debug
Changed in linux:
importance: High → Undecided
status: Confirmed → New
summary: - 8086:4238 iwlwifi drops connection when using 802.11n
+ 8086:4238 [Lenovo ThinkPad X201] iwlwifi drops connection when using
+ 802.11n
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

Julien Rabier, thank you for adding the linux (Debian) task. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

JD Rogers (rogersjd) wrote :

I know this bug is old, but I think I'm having similar problems, and I would love to make some progress on this.

My problem is a little different, so I may need to file a new bug (Christopher?). While Alexander's bug appears to connect and then slow down eventually failing with packet loss, my problem is almost the opposite. If I can connect, it seems to work fine indefinitely, but initial connections (after suspend, or right after a reboot) only occasionally works. Sometimes, if I wait long enough the connection starts working after several minutes, sometimes it works if I turn off wireless and turn it back on, but often it just never works.

My intel wireless "Intel Corporation Centrino Ultimate-N 6300 (rev 3e)" works fine on 802.11g networks. When using 802.11n, not so much.

The worst part is that I am at a loss on what is actually failing. iwconfig reports that I am associated. No obvious errors in dmesg or syslog. Yet if I try to ping my access point, I get "network is unreachable".

# dmesg |tail
[101704.467324] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[101704.474053] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
[101704.621429] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
[101704.717787] wlan0: authenticate with xx:xx:xx:xx:xx:xx
[101704.780532] wlan0: send auth to xx:xx:xx:xx:xx:xx (try 1/3)
[101704.793246] wlan0: authenticated
[101704.797390] wlan0: associate with xx:xx:xx:xx:xx:xx (try 1/3)
[101704.798226] wlan0: RX AssocResp from xx:xx:xx:xx:xx:xx (capab=0x1011 status=0 aid=1)
[101704.802300] wlan0: associated
[101704.802347] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready

If I load the iwlwifi module using "11n_disable=1" everything works fine, but then I don't get 802.11n speed. The problem exists on my home router and on a commercial router at work.

# uname -a
Linux zem 3.11.0-15-generic #25-Ubuntu SMP Thu Jan 30 17:22:01 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

JD Rogers, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.